package com.foo.mavenproject4;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.WebResource;
import com.sun.jersey.api.container.httpserver.HttpServerFactory;
import com.sun.net.httpserver.HttpServer;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

public class App {
    @Path("helloworld")
    public static class SimpleResource {
        @GET
        public String get() {
            return "Hello";
        }
    }

    public static void main( String[] args ) throws Exception {
        HttpServer hs = HttpServerFactory.create("http://localhost:9999/context");
        try {
            hs.start();
            Client c = Client.create();

            WebResource r = c.resource("http://localhost:9999/context/helloworld");
            System.out.println(r.get(String.class));
        } finally {
            hs.stop(0);
            System.exit(0); // The LW HTTP server does not stop its own threads
        }
    }
}
